
ctools - Bug #1700

cterror queries for an output file at the end of the computation

02/19/2016 05:34 PM - Mayer Michael

Status: Closed Start date: 02/19/2016

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.1.0   

Description

When running cterror with the flag debug=yes, I get the following output.

2016-02-19T16:29:05: +=======================================================+

2016-02-19T16:29:05: | Compute error for source "Crab" parameter "Prefactor" |

2016-02-19T16:29:05: +=======================================================+

2016-02-19T16:29:05:  Confidence level ..........: 68%

2016-02-19T16:29:05:  Log-likelihood difference .: 0.494473

2016-02-19T16:29:05:  Initial factor range ......: [1.8536, 21.8576]

2016-02-19T16:29:11:  Lower parameter factor ....: 10.9497

2016-02-19T16:29:16:  Upper parameter factor ....: 12.8348

2016-02-19T16:29:16:  Error from curvature ......: 1.0002e-16 ph/cm2/s/MeV

2016-02-19T16:29:16:  Error from profile ........: 9.42573e-17 ph/cm2/s/MeV

2016-02-19T16:29:16:  Negative profile error ....: 9.05944e-17 ph/cm2/s/MeV

2016-02-19T16:29:16:  Positive profile error ....: 9.79201e-17 ph/cm2/s/MeV

2016-02-19T16:29:16:

2016-02-19T16:29:16: +===================================================+

2016-02-19T16:29:16: | Compute error for source "Crab" parameter "Index" |

2016-02-19T16:29:16: +===================================================+

2016-02-19T16:29:16:  Confidence level ..........: 68%

2016-02-19T16:29:16:  Log-likelihood difference .: 0.494473

2016-02-19T16:29:16:  Initial factor range ......: [2.02477, 3.06928]

2016-02-19T16:29:20:  Lower parameter factor ....: 2.49909

2016-02-19T16:29:23:  Upper parameter factor ....: 2.59599

2016-02-19T16:29:23:  Error from curvature ......: 0.0522255

2016-02-19T16:29:23:  Error from profile ........: 0.0484514

2016-02-19T16:29:23:  Negative profile error ....: 0.0479414

2016-02-19T16:29:23:  Positive profile error ....: 0.0489614

2016-02-19T16:29:23:

2016-02-19T16:29:23: +==============+

2016-02-19T16:29:23: | Save results |

2016-02-19T16:29:23: +==============+

Output model XML file [result.xml]

In two ways this is confusing for the user:

1. Providing the output file usually happens at the beginning of the script execution. I therefore suggest to query for the outfile

already in cterror::get_parameters (and not in cterror::save).

2. cterror in fact saves the source model. However, the user could expect that asymmetric errors are written in the model XML file,

too (which is not the case). It might be more difficult to implement that asymmetric errors get written? We would need to think

about names for these attributes "error_neg" and "error_pos" could be an option?

History

#1 - 02/22/2016 10:11 PM - Knödlseder Jürgen

- Status changed from New to Closed

- Assigned To set to Knödlseder Jürgen

- Target version set to 1.1.0
- % Done changed from 0 to 100

Corrected and merged into devel.

For asymmetric errors, there exists already an issue in GammaLib, see #1478.
